{% extends 'base.html.twig' %}

{% block title %}Product New{% endblock %}

{% block body %}
    <section class="flex flex-row col-10 offset-1">
        <h1 class="text-center">Create new product</h1>
        {{ form_start(form, {'method': 'POST'}) }}
        <div class="row col-12 justify-content-center">
            <div class="col-4">{{ form_row(form.name) }}</div>
            <div class="col-4">{{ form_row(form.price) }}</div>
        </div>
        <div class="row col-12 justify-content-center">
            <div class="col-4">{{ form_row(form.isSupplierNew, {'attr': {'id' : 'ok'}}) }}</div>
            <div class="col-4" id="existing">{{ form_row(form.existingSupplier) }}</div>
            <div class="col-4" id="new">{{ form_row(form.newSupplier) }}</div>
        </div>
        <div class="row col-12">
        </div>
        <div class="row col-12">
        </div>
        <div class="d-flex justify-content-center">
            <button type="submit" class="btn btn-lg btn-{{ 'edit' in (app.request.requestUri) ? 'success' : 'primary'}}">
                {{ 'edit' in (app.request.requestUri) ? 'Edit' : 'Create'}}
            </button>
        </div>
        {{ form_end(form) }}

        <a class="btn btn-secondary" href="{{ path('product_index') }}">Back to the list</a>
    </section>
{% endblock %}
{% block javascripts %}
    {{ parent() }}
    <script>
        function displayNewOrExisting(val) {
            if ('1' === val) {
                $('#existing').attr('hidden', true)
                {% if 'edit' not in app.request.requestUri %}
                    $('#existing select>option:eq("")').prop('selected', true);
                {% endif %}
                $('#new').removeAttr('hidden')
                $('#{{ form.existingSupplier.vars.id }}').removeAttr('required')
                $('#{{ form.newSupplier.name.vars.id }}').attr('required', true)
                $('#{{ form.newSupplier.email.vars.id }}').attr('required', true)
                $('#{{ form.newSupplier.siret.vars.id }}').attr('required', true)
            }
            else {
                $('#existing').removeAttr('hidden')
                $('#new').attr('hidden', true);
                $('#{{ form.existingSupplier.vars.id }}').attr('required', true)
                $('#{{ form.newSupplier.name.vars.id }}').removeAttr('required')
                $('#{{ form.newSupplier.email.vars.id }}').removeAttr('required')
                $('#{{ form.newSupplier.siret.vars.id }}').removeAttr('required')
                $('#{{ form.newSupplier.name.vars.id }}').val('')
                $('#{{ form.newSupplier.email.vars.id }}').val('')
                $('#{{ form.newSupplier.siret.vars.id }}').val('')
            }
        }

        formName = '{{ form.isSupplierNew.vars.full_name }}'.replace('[', '\\[').replace(']', '\\]')
        isNewSupplier = $('[name='+formName+']:checked').val();
        displayNewOrExisting(isNewSupplier)

        $('[name='+formName+']').on('change', function (event) {
            displayNewOrExisting(event.target.value);
        });
    </script>
{% endblock %}
